package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.KaoqinRecord;

/**
 * 考勤记录Service接口
 * 
 * @author ruoyi
 * @date 2023-02-02
 */
public interface IKaoqinRecordService 
{
    /**
     * 查询考勤记录
     * 
     * @param recordId 考勤记录主键
     * @return 考勤记录
     */
    public KaoqinRecord selectKaoqinRecordByRecordId(Long recordId);

    /**
     * 查询考勤记录列表
     * 
     * @param kaoqinRecord 考勤记录
     * @return 考勤记录集合
     */
    public List<KaoqinRecord> selectKaoqinRecordList(KaoqinRecord kaoqinRecord);

    /**
     * 新增考勤记录
     * 
     * @param kaoqinRecord 考勤记录
     * @return 结果
     */
    public int insertKaoqinRecord(KaoqinRecord kaoqinRecord);

    /**
     * 修改考勤记录
     * 
     * @param kaoqinRecord 考勤记录
     * @return 结果
     */
    public int updateKaoqinRecord(KaoqinRecord kaoqinRecord);

    /**
     * 批量删除考勤记录
     * 
     * @param recordIds 需要删除的考勤记录主键集合
     * @return 结果
     */
    public int deleteKaoqinRecordByRecordIds(Long[] recordIds);

    /**
     * 删除考勤记录信息
     * 
     * @param recordId 考勤记录主键
     * @return 结果
     */
    public int deleteKaoqinRecordByRecordId(Long recordId);
}
